/*
www.delorabradish.com, March 2017
The SSMS Extended Event UI will create this table for you
   1.  To browse an EE file, go to SSMS main menu -->  File --> Open --> Merge Extended Event Files
   2.  To import an EE file, use SSIS or from the EE browser in SSMS go to main menu --> Extended Events --> Export to --> Table
*/
USE [SSAS Query Logs]
GO

/****** Object:  Table [dbo].[xEvents_SSAS_MultiD]    Script Date: 3/6/2017 4:58:36 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[xEvents_SSAS_MultiD](
	[name] [nvarchar](max) NULL,
	[timestamp] [datetimeoffset](7) NULL,
	[timestamp (UTC)] [datetimeoffset](7) NULL,
	[CurrentTime] [datetimeoffset](7) NULL,
	[StartTime] [datetimeoffset](7) NULL,
	[EndTime] [datetimeoffset](7) NULL,
	[EventClass] [nvarchar](max) NULL,
	[EventSubclass] [int] NULL,
	[Severity] [int] NULL,
	[Success] [int] NULL,
	[Error] [int] NULL,
	[ConnectionID] [int] NULL,
	[ClientProcessID] [int] NULL,
	[SPID] [int] NULL,
	[ErrorType] [int] NULL,
	[Duration] [bigint] NULL,
	[CPUTime] [bigint] NULL,
	[IntegerData] [bigint] NULL,
	[TextData] [nvarchar](max) NULL,
	[NTCanonicalUserName] [nvarchar](max) NULL,
	[SessionID] [nvarchar](max) NULL,
	[NTUserName] [nvarchar](max) NULL,
	[NTDomainName] [nvarchar](max) NULL,
	[DatabaseName] [nvarchar](max) NULL,
	[ApplicationName] [nvarchar](max) NULL,
	[ServerName] [nvarchar](max) NULL,
	[RequestID] [uniqueidentifier] NULL,
	[attach_activity_id_xfer.guid] [uniqueidentifier] NULL,
	[attach_activity_id_xfer.seq] [bigint] NULL,
	[attach_activity_id.guid] [uniqueidentifier] NULL,
	[attach_activity_id.seq] [bigint] NULL,
	[ObjectType] [int] NULL,
	[ProgressTotal] [bigint] NULL,
	[ObjectPath] [nvarchar](max) NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


